Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.io.xml
Class AbstractXmlReader

    java.lang.Object
      com.thoughtworks.xstream.io.xml.AbstractXmlReader

All Implemented Interfaces:
  HierarchicalStreamReader, XmlFriendlyReader

Direct Known Subclasses:
  AbstractDocumentReader, AbstractPullReader

    public abstract class AbstractXmlReader

extends Object
implements HierarchicalStreamReader, XmlFriendlyReader

Abstract base implementation of HierarchicalStreamReader that provides common functionality to all XML-based readers.

Since:
  1.2
Author:
  Mauro Talevi

Constructor Summary
`protected` | `AbstractXmlReader()`
`protected` | `AbstractXmlReader(XmlFriendlyReplacer replacer)`

Method Summary
`protected String` | `escapeXmlName(String name)` Escapes XML-unfriendly name (node or attribute)
`String` | `unescapeXmlName(String name)` Unescapes XML-friendly name (node or attribute)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.thoughtworks.xstream.io.HierarchicalStreamReader
`appendErrors, close, getAttribute, getAttribute, getAttributeCount, getAttributeName, getAttributeNames, getNodeName, getValue, hasMoreChildren, moveDown, moveUp, underlyingReader`

Constructor Detail

### AbstractXmlReader

    protected AbstractXmlReader()

### AbstractXmlReader

    protected AbstractXmlReader(XmlFriendlyReplacer replacer)

Method Detail

### unescapeXmlName

    public String unescapeXmlName(String name)

  Unescapes XML-friendly name (node or attribute)

  Specified by:
    `unescapeXmlName` in interface `XmlFriendlyReader`
  Parameters:
    `name` - the escaped XML-friendly name
  Returns:
    An unescaped name with original characters

### escapeXmlName

    protected String escapeXmlName(String name)

  Escapes XML-unfriendly name (node or attribute)

  Parameters:
    `name` - the unescaped XML-unfriendly name
  Returns:
    An escaped name with original characters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.